<!DOCTYPE html> 
<html>
	
	<head>
		<LINK REL="stylesheet" TYPE="text/css" HREF="estilo.css">
		<!--configuracion utfa funcional para toso los navegadores-->
		<meta charset="utf-8">
		
		<!--configuracion del VIEWPORT (parte visible de la pantalla)-->
		<!--CONTENT  indica que el ancho de VIEWPORT se corresponda con el ancho del dispositivo 
			-sentamos bases para no tener un scroll horizontal
			INITIAL-SCALE indica el nivel de zoom plicado al abrir la pagina
		-->
		
		<meta name="viewport" content="width= devide-width, initial-scale=1">
		
		<!--title-->
		<title> Ejemplo generico de html </title>
		
		<!--aqui hay cosas luego preguntar-->
		
	<body>
		
		<!--uso de uns etiqueta span para formatear una parte del texto-->
		<p> Esto e sun texto cuyo <span style="color:#AED6F1> final queremos en azul salvo el punto </span>.</p>
		
		<!--diferencia entre imagenes con etiquetas img y la etiqueta picture-->
		
		<!--con la img-->
		
		<img src="imagenes/efecto-boken.jpg" width="800" alt="esta es una imagen con efectod desenfoque" title="ilustracion efecto bokeh" />
		<!--el alt es lo que va a salir cuando el puntero este on hobber (por encima pero sin clicar imagen-->
		
		<!--etiqueta picture-->
		<!--parte principal de la etiqueta, aqui definimos atributos globales-->
		<!--Si nuestro VIEWPORT no esta bien definido no conseguiremos que esta etqueta cargue correctamente-->
		<picture title ="Ejemplo de imagen responsive">
		
			<!--la etiqueta source especifica la imagen que imagen se cargara en funcion de la condicion de la condicion que le especifiquemos de media
			aqui podemos aplicar estilos si nos hace falta-->
			
			<source srcset="imagenes/galaxia.jpg" media="(min-width: 1800px)" style="width:400px" alt=
			"imagen de una galaxia muy muy lejana>
			
			<!--en el caso anterior, la condicion era que el ancho fuera menos de 1800 px en el caso siguiente, la condicion es que el ancho sea por lo menos 800 px-->
			<source srcset="imagenes/bosque.verde.jpg" media="(min-wifth:800px)" style="width:400px" alt="imagen de un sendero d ebosque verde">

			<!--en este caso no solo controlamos el ancho en el que estamos visualizando el elmento, sino tmabien que orientacion tiene la pantalla-->
			<source srcset="imagenetes/efecto-bokeh.jpg" media="(min-wifth:300px) and (orientation:portrait)" style="width:400px" alt="Esta e suna imagen con efecto de desenfoque">
			
			<!--es obligatorio escribir una etiqueta img porque es caso de no cumplirse ninguna de las opciones anteriores, es lo que se va a cargar-->
			<img srcset="imagenes/efecto-bokeh.jpg" alt="My default image" style="width:400px>
			
		</picture>
		
	</body>